<template>
  <v-container
    fluid
  >
    <v-row justify="center">
      <v-col
        cols="0"
        lg="2"
        class="backgroundImageColumn"
        :style="(backgroundImageLeft) ? 'background-image:url(\''+backgroundImageLeft+'\');background-position:top center;' : ''"
      />
      <v-col
        cols="10"
        lg="8"
      >
        <v-row
          justify="center"
        >
          <v-col
            cols="7"
            class="text-center"
          >
            <v-card-text>
              <p
                class="font-weight-bold display-1 tertiary--text pa-4 ma-4"
              >
                {{ title }}
              </p>
              <p class="display-1 font-weight-light tertiary--text pa-O ma-0 ">
                {{ subtitle }}
              </p>
            </v-card-text>
          </v-col>
        </v-row>
        <v-row
          justify="center"
          class="mt-10"
        >
          <MFeaturesItem
            v-for="(item, index) in items"
            :key="index"
            :title="item.title"
            :subtitle="item.subtitle"
            :image="item.image"
            :gif="item.gif"
            :width="210"
          />
        </v-row>  
      </v-col>
      <v-col
        cols="0"
        lg="2"
        class="backgroundImageColumn"
        :style="(backgroundImageRight) ? 'background-image:url(\''+backgroundImageRight+'\');background-position:top center;' : ''"
      />
    </v-row>
  </v-container>  
</template>
<script>
import MFeaturesItem from "@clientComponents/home/MFeaturesItem";
export default {
  components: {
    MFeaturesItem
  },
  props: {
    title: {
      type: String,
      default: ""
    },
    subtitle: {
      type: String,
      default: ""
    },
    items:{
      type: Array,
      default: null
    },
    backgroundImageLeft:{
      type:String,
      default:null
    },
    backgroundImageRight:{
      type:String,
      default:null
    },
  }    
}
</script>
<style lang="scss" scoped>
.backgroundImageColumn{
  background-size:contain;
}
</style>